/**
 * <copyright>
 * </copyright>
 *
 * $Id: COBOLSwitch.java,v 1.2.4.1 2005/10/28 04:37:27 akkina Exp $
 */
package com.ibm.etools.cobol.util;

import com.ibm.etools.cobol.*;

import com.ibm.etools.tdlang.TDLangClassifier;
import com.ibm.etools.tdlang.TDLangComposedType;
import com.ibm.etools.tdlang.TDLangElement;
import com.ibm.etools.tdlang.TDLangModelElement;

import java.util.List;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see com.ibm.etools.cobol.COBOLPackage
 * @generated
 */
public class COBOLSwitch {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static COBOLPackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public COBOLSwitch() {
		if (modelPackage == null) {
			modelPackage = COBOLPackage.eINSTANCE;
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	public Object doSwitch(EObject theEObject) {
		return doSwitch(theEObject.eClass(), theEObject);
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected Object doSwitch(EClass theEClass, EObject theEObject) {
		if (theEClass.eContainer() == modelPackage) {
			return doSwitch(theEClass.getClassifierID(), theEObject);
		}
		else {
			List eSuperTypes = theEClass.getESuperTypes();
			return
				eSuperTypes.isEmpty() ?
					defaultCase(theEObject) :
					doSwitch((EClass)eSuperTypes.get(0), theEObject);
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected Object doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case COBOLPackage.COBOL_ELEMENT: {
				COBOLElement cobolElement = (COBOLElement)theEObject;
				Object result = caseCOBOLElement(cobolElement);
				if (result == null) result = caseTDLangElement(cobolElement);
				if (result == null) result = caseTDLangModelElement(cobolElement);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case COBOLPackage.COBOL_VARIABLE_LENGTH_ARRAY: {
				COBOLVariableLengthArray cobolVariableLengthArray = (COBOLVariableLengthArray)theEObject;
				Object result = caseCOBOLVariableLengthArray(cobolVariableLengthArray);
				if (result == null) result = caseCOBOLFixedLengthArray(cobolVariableLengthArray);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case COBOLPackage.COBOL_REDEFINING_ELEMENT: {
				COBOLRedefiningElement cobolRedefiningElement = (COBOLRedefiningElement)theEObject;
				Object result = caseCOBOLRedefiningElement(cobolRedefiningElement);
				if (result == null) result = caseCOBOLElement(cobolRedefiningElement);
				if (result == null) result = caseTDLangElement(cobolRedefiningElement);
				if (result == null) result = caseTDLangModelElement(cobolRedefiningElement);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case COBOLPackage.COBOL_COMPOSED_TYPE: {
				COBOLComposedType cobolComposedType = (COBOLComposedType)theEObject;
				Object result = caseCOBOLComposedType(cobolComposedType);
				if (result == null) result = caseCOBOLClassifier(cobolComposedType);
				if (result == null) result = caseTDLangComposedType(cobolComposedType);
				if (result == null) result = caseTDLangClassifier(cobolComposedType);
				if (result == null) result = caseTDLangModelElement(cobolComposedType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case COBOLPackage.COBOL_88_ELEMENT: {
				COBOL88Element coboL88Element = (COBOL88Element)theEObject;
				Object result = caseCOBOL88Element(coboL88Element);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case COBOLPackage.COBOL_88_ELEMENT_VALUE: {
				COBOL88ElementValue coboL88ElementValue = (COBOL88ElementValue)theEObject;
				Object result = caseCOBOL88ElementValue(coboL88ElementValue);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case COBOLPackage.COBOL_ALPHA_NUMERIC_TYPE: {
				COBOLAlphaNumericType cobolAlphaNumericType = (COBOLAlphaNumericType)theEObject;
				Object result = caseCOBOLAlphaNumericType(cobolAlphaNumericType);
				if (result == null) result = caseCOBOLSimpleType(cobolAlphaNumericType);
				if (result == null) result = caseCOBOLClassifier(cobolAlphaNumericType);
				if (result == null) result = caseTDLangClassifier(cobolAlphaNumericType);
				if (result == null) result = caseTDLangModelElement(cobolAlphaNumericType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case COBOLPackage.COBOL_NUMERIC_EDITED_TYPE: {
				COBOLNumericEditedType cobolNumericEditedType = (COBOLNumericEditedType)theEObject;
				Object result = caseCOBOLNumericEditedType(cobolNumericEditedType);
				if (result == null) result = caseCOBOLSimpleType(cobolNumericEditedType);
				if (result == null) result = caseCOBOLClassifier(cobolNumericEditedType);
				if (result == null) result = caseTDLangClassifier(cobolNumericEditedType);
				if (result == null) result = caseTDLangModelElement(cobolNumericEditedType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case COBOLPackage.COBOL_NUMERIC_TYPE: {
				COBOLNumericType cobolNumericType = (COBOLNumericType)theEObject;
				Object result = caseCOBOLNumericType(cobolNumericType);
				if (result == null) result = caseCOBOLSimpleType(cobolNumericType);
				if (result == null) result = caseCOBOLClassifier(cobolNumericType);
				if (result == null) result = caseTDLangClassifier(cobolNumericType);
				if (result == null) result = caseTDLangModelElement(cobolNumericType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case COBOLPackage.COBOL_66_ELEMENT: {
				COBOL66Element coboL66Element = (COBOL66Element)theEObject;
				Object result = caseCOBOL66Element(coboL66Element);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case COBOLPackage.COBOL_FIXED_LENGTH_ARRAY: {
				COBOLFixedLengthArray cobolFixedLengthArray = (COBOLFixedLengthArray)theEObject;
				Object result = caseCOBOLFixedLengthArray(cobolFixedLengthArray);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case COBOLPackage.COBOL_DBCS_TYPE: {
				COBOLDBCSType coboldbcsType = (COBOLDBCSType)theEObject;
				Object result = caseCOBOLDBCSType(coboldbcsType);
				if (result == null) result = caseCOBOLSimpleType(coboldbcsType);
				if (result == null) result = caseCOBOLClassifier(coboldbcsType);
				if (result == null) result = caseTDLangClassifier(coboldbcsType);
				if (result == null) result = caseTDLangModelElement(coboldbcsType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case COBOLPackage.COBOL_ALPHA_NUMERIC_EDITED_TYPE: {
				COBOLAlphaNumericEditedType cobolAlphaNumericEditedType = (COBOLAlphaNumericEditedType)theEObject;
				Object result = caseCOBOLAlphaNumericEditedType(cobolAlphaNumericEditedType);
				if (result == null) result = caseCOBOLSimpleType(cobolAlphaNumericEditedType);
				if (result == null) result = caseCOBOLClassifier(cobolAlphaNumericEditedType);
				if (result == null) result = caseTDLangClassifier(cobolAlphaNumericEditedType);
				if (result == null) result = caseTDLangModelElement(cobolAlphaNumericEditedType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case COBOLPackage.COBOL_ALPHABETIC_TYPE: {
				COBOLAlphabeticType cobolAlphabeticType = (COBOLAlphabeticType)theEObject;
				Object result = caseCOBOLAlphabeticType(cobolAlphabeticType);
				if (result == null) result = caseCOBOLSimpleType(cobolAlphabeticType);
				if (result == null) result = caseCOBOLClassifier(cobolAlphabeticType);
				if (result == null) result = caseTDLangClassifier(cobolAlphabeticType);
				if (result == null) result = caseTDLangModelElement(cobolAlphabeticType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case COBOLPackage.COBOL_OBJECT_REFERENCE_TYPE: {
				COBOLObjectReferenceType cobolObjectReferenceType = (COBOLObjectReferenceType)theEObject;
				Object result = caseCOBOLObjectReferenceType(cobolObjectReferenceType);
				if (result == null) result = caseCOBOLSimpleType(cobolObjectReferenceType);
				if (result == null) result = caseCOBOLClassifier(cobolObjectReferenceType);
				if (result == null) result = caseTDLangClassifier(cobolObjectReferenceType);
				if (result == null) result = caseTDLangModelElement(cobolObjectReferenceType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case COBOLPackage.COBOL_SOURCE_TEXT: {
				COBOLSourceText cobolSourceText = (COBOLSourceText)theEObject;
				Object result = caseCOBOLSourceText(cobolSourceText);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case COBOLPackage.COBOL_UNICODE_TYPE: {
				COBOLUnicodeType cobolUnicodeType = (COBOLUnicodeType)theEObject;
				Object result = caseCOBOLUnicodeType(cobolUnicodeType);
				if (result == null) result = caseCOBOLSimpleType(cobolUnicodeType);
				if (result == null) result = caseCOBOLClassifier(cobolUnicodeType);
				if (result == null) result = caseTDLangClassifier(cobolUnicodeType);
				if (result == null) result = caseTDLangModelElement(cobolUnicodeType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case COBOLPackage.COBOL_INTERNAL_FLOAT_TYPE: {
				COBOLInternalFloatType cobolInternalFloatType = (COBOLInternalFloatType)theEObject;
				Object result = caseCOBOLInternalFloatType(cobolInternalFloatType);
				if (result == null) result = caseCOBOLSimpleType(cobolInternalFloatType);
				if (result == null) result = caseCOBOLClassifier(cobolInternalFloatType);
				if (result == null) result = caseTDLangClassifier(cobolInternalFloatType);
				if (result == null) result = caseTDLangModelElement(cobolInternalFloatType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case COBOLPackage.COBOL_EXTERNAL_FLOAT_TYPE: {
				COBOLExternalFloatType cobolExternalFloatType = (COBOLExternalFloatType)theEObject;
				Object result = caseCOBOLExternalFloatType(cobolExternalFloatType);
				if (result == null) result = caseCOBOLSimpleType(cobolExternalFloatType);
				if (result == null) result = caseCOBOLClassifier(cobolExternalFloatType);
				if (result == null) result = caseTDLangClassifier(cobolExternalFloatType);
				if (result == null) result = caseTDLangModelElement(cobolExternalFloatType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case COBOLPackage.COBOL_ADDRESSING_TYPE: {
				COBOLAddressingType cobolAddressingType = (COBOLAddressingType)theEObject;
				Object result = caseCOBOLAddressingType(cobolAddressingType);
				if (result == null) result = caseCOBOLSimpleType(cobolAddressingType);
				if (result == null) result = caseCOBOLClassifier(cobolAddressingType);
				if (result == null) result = caseTDLangClassifier(cobolAddressingType);
				if (result == null) result = caseTDLangModelElement(cobolAddressingType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case COBOLPackage.COBOL_ELEMENT_INITIAL_VALUE: {
				COBOLElementInitialValue cobolElementInitialValue = (COBOLElementInitialValue)theEObject;
				Object result = caseCOBOLElementInitialValue(cobolElementInitialValue);
				if (result == null) result = caseTDLangElement(cobolElementInitialValue);
				if (result == null) result = caseTDLangModelElement(cobolElementInitialValue);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Simple Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Simple Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCOBOLSimpleType(COBOLSimpleType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCOBOLElement(COBOLElement object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Variable Length Array</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Variable Length Array</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCOBOLVariableLengthArray(COBOLVariableLengthArray object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Redefining Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Redefining Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCOBOLRedefiningElement(COBOLRedefiningElement object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Composed Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Composed Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCOBOLComposedType(COBOLComposedType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>88 Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>88 Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCOBOL88Element(COBOL88Element object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>88 Element Value</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>88 Element Value</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCOBOL88ElementValue(COBOL88ElementValue object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Alpha Numeric Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Alpha Numeric Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCOBOLAlphaNumericType(COBOLAlphaNumericType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Numeric Edited Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Numeric Edited Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCOBOLNumericEditedType(COBOLNumericEditedType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Numeric Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Numeric Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCOBOLNumericType(COBOLNumericType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>66 Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>66 Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCOBOL66Element(COBOL66Element object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Fixed Length Array</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Fixed Length Array</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCOBOLFixedLengthArray(COBOLFixedLengthArray object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>DBCS Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>DBCS Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCOBOLDBCSType(COBOLDBCSType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Alpha Numeric Edited Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Alpha Numeric Edited Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCOBOLAlphaNumericEditedType(COBOLAlphaNumericEditedType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Classifier</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Classifier</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCOBOLClassifier(COBOLClassifier object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Alphabetic Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Alphabetic Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCOBOLAlphabeticType(COBOLAlphabeticType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Object Reference Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Object Reference Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCOBOLObjectReferenceType(COBOLObjectReferenceType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Source Text</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Source Text</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCOBOLSourceText(COBOLSourceText object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Unicode Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Unicode Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCOBOLUnicodeType(COBOLUnicodeType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Internal Float Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Internal Float Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCOBOLInternalFloatType(COBOLInternalFloatType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>External Float Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>External Float Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCOBOLExternalFloatType(COBOLExternalFloatType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Addressing Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Addressing Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCOBOLAddressingType(COBOLAddressingType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Element Initial Value</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Element Initial Value</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseCOBOLElementInitialValue(COBOLElementInitialValue object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Model Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Model Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseTDLangModelElement(TDLangModelElement object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Classifier</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Classifier</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseTDLangClassifier(TDLangClassifier object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseTDLangElement(TDLangElement object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>Composed Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>Composed Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public Object caseTDLangComposedType(TDLangComposedType object) {
		return null;
	}

	/**
	 * Returns the result of interpretting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpretting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	public Object defaultCase(EObject object) {
		return null;
	}

} //COBOLSwitch
